Skip to main content
GET
/
api
/
v1
/
chargebacks
Chargeback'leri listele
curl --request GET \
  --url https://vpos-sandbox.payven.com.tr/api/v1/chargebacks \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "amount": 123,
      "currency": "<string>",
      "reason": "<string>",
      "reason_code": "<string>",
      "bank_reference_no": "<string>",
      "status": "<string>",
      "response_deadline": "2023-11-07T05:31:56Z",
      "resolved_at": "2023-11-07T05:31:56Z",
      "merchant_response": "<string>",
      "notes": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "merchant_name": "<string>",
      "masked_card_number": "<string>",
      "transaction_amount": 123
    }
  ],
  "page": 123,
  "total_pages": 123,
  "total_count": 123,
  "has_previous_page": true,
  "has_next_page": true
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Query Parameters

page
integer<int32>
page_size
integer<int32>
status
enum<string>
Available options:
Opened,
Disputed,
Won,
Lost
transaction_id
string<uuid>
start_date
string<date-time>
end_date
string<date-time>

Response

OK

items
object[] | null
page
integer<int32>
total_pages
integer<int32>
read-only
total_count
integer<int32>
read-only
has_previous_page
boolean
read-only
has_next_page
boolean
read-only